SourceGuardian-PHP-Erweiterung installieren: openSUSE 15.2 (64-bit/amd64/x86_64)

Editionen: Light, Community, Professional, Ultimate [Standard], Corporate
Versionen: alle

Für die Installation von ViMP Light, ViMP Community, ViMP Professional, ViMP Ulitmate [Standard] und ViMP Corporate benötigen Sie die PHP-Erweiterung SourceGuardian.

Dieser Artikel beschreibt die Installation der Erweiterung unter openSUSE 15.2, weitere Informationen zur Verwendung finden Sie hier.

Eine Übersicht aller Loader finden Sie auf der SourceGuardian-Website.

Erstellen Sie zuerst ein temporäres Verzeichnis "loader" unter /usr/src/ und wechseln dorthin:

mkdir /usr/src/loader 
cd /usr/src/loader

Das Paket, hier Linux 64-bit, laden Sie direkt in das neue Verzeichnis (wenn nicht vorhanden installieren wir auch "wget"):

zypper install wget
curl https://www.sourceguardian.com/loaders/download/loaders.linux-x86_64.tar.gz --output loaders.linux-x86_64.tar.gz

Jetzt entpacken Sie die Datei dort:

tar xzf loaders.linux-x86_64.tar.gz

Kopieren Sie die zu Ihrer PHP-Version passende Datei ins "extension_dir" Ihrer PHP-Konfiguration:


cp ixed.7.4.lin /usr/lib64/php7/extensions/

"ts" im Dateinamen steht dabei für "Thread Safety". Ist "Thread Safety" enabled, kopieren Sie die Datei ixed.7.4ts.lin .

Jetzt erstellen Sie noch die passende Konfigurationsdatei.

cd /etc/php7/conf.d
touch sourceguardian.ini
nano sourceguardian.ini

In die Datei schreiben Sie:

[sourceguardian] 
zend_extension=/usr/lib64/php7/extensions/ixed.7.4.lin

und speichern sie anschließend.

Jetzt müssen Sie den Apache nur noch neu starten:

service apache2 restart

Die Erweiterung ist jetzt für PHP im Apache und das CLI aktiv und ViMP wird entschlüsselt.

Zuletzt aktualisiert am 28.04.2021 von Admin.

Zurück